#!/usr/bin/env/node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const launch_1 = require("./launch");
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const json = yield launch_1.readLaunchJson(process.argv[2] || process.cwd() + '/.vscode/launch.json');
            const compound = process.argv[3];
            const configs = compound ? launch_1.expandCompound(json, compound) : json.configurations;
            yield launch_1.launch(configs);
        }
        catch (err) {
            console.error(err);
            process.exit(1);
        }
    });
}
main();
//# sourceMappingURL=cli.js.map